---
features:
  secondary:
  - name: "Authenticate to Google Cloud with workload identity federation"
    available_in: [free, silver, gold]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/integration/google_cloud_iam.html'
    reporter: hsutor
    stage: software_supply_chain_security
    categories:
    - 'System Access'
    epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/12758'
    description: |
      Workload identity federation allows you to securely connect workloads between GitLab and Google Cloud without the use of service account keys. This improves security, because keys can potentially be long-lived credentials that expose a vector for attack. Keys also come with management overhead for creating, securing, and rotating. 

      Workload identity federation allows you to map IAM roles between GitLab and Google Cloud.

      This feature is in Beta and is currently available only on GitLab.com.
